from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="winfish-terminal",
    version="1.0.0",
    author="Your Name",
    author_email="your.email@example.com",
    description="A Fish shell-like terminal emulator for Windows",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/winfish-terminal",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Win32 (MS Windows)",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: Microsoft :: Windows :: Windows 10",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Topic :: System :: Shells",
        "Topic :: Terminals :: Terminal Emulators/X Terminals",
    ],
    python_requires=">=3.7",
    install_requires=[
        "prompt_toolkit>=3.0.36",
        "colorama>=0.4.6",
        "pygments>=2.15.0",
        "wcwidth>=0.2.6",
        "psutil>=5.9.0",
        "pywinpty>=2.0.10",
        "customtkinter>=5.2.0",
        "pillow>=10.0.0",
        "pywin32>=306",
        "winshell>=0.6"
    ],
    entry_points={
        "console_scripts": [
            "winfish=winfish:main",
            "winfish-terminal=terminal_app:main"
        ],
    },
    package_data={
        "winfish": ["*.json"],
    },
) 